- Qt 6.9
- Qt Multimedia
- C++ Classes
- QtMultimedia
- QVideoFrame
- Qt 6.9.3 Reference Documentation

# Obsolete Members for QVideoFrame

The following members of class QVideoFrame are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated in 6.7)` enum | RotationAngle { Rotation0, Rotation90, Rotation180, Rotation270 }

## Public Functions

`(deprecated in 6.7)` QVideoFrame::RotationAngle | rotationAngle() const
`(deprecated in 6.7)` void | setRotationAngle(QVideoFrame::RotationAngle angle)

## Member Type Documentation

### `[deprecated in 6.7]` enum QVideoFrame::RotationAngle

This enum is deprecated since 6.7. We strongly advise against using it in new code.

Use QtVideo::Rotation instead.

The angle of the clockwise rotation that should be applied to a video frame before displaying.

Constant | Value | Description
--- | --- | ---
`QVideoFrame::Rotation0` | `0` | No rotation required, the frame has correct orientation
`QVideoFrame::Rotation90` | `90` | The frame should be rotated by 90 degrees
`QVideoFrame::Rotation180` | `180` | The frame should be rotated by 180 degrees
`QVideoFrame::Rotation270` | `270` | The frame should be rotated by 270 degrees

## Member Function Documentation

### `[deprecated in 6.7]` QVideoFrame::RotationAngle QVideoFrame::rotationAngle() const

This function is deprecated since 6.7. We strongly advise against using it in new code.

Use `QVideoFrame::rotation` instead.

Returns the angle the frame should be rotated clockwise before displaying.

See also setRotationAngle().

### `[deprecated in 6.7]` void QVideoFrame::setRotationAngle(QVideoFrame::RotationAngle angle)

This function is deprecated since 6.7. We strongly advise against using it in new code.

Use `QVideoFrame::setRotation` instead.

Sets the angle the frame should be rotated clockwise before displaying.

See also rotationAngle().